## RENAME USERGROUP Statement (rename_usergroup_statement)

The RENAME USERGROUP statement (rename_usergroup_statement) changes the name of a user group.

### Syntax

<rename_usergroup_statement> ::= RENAME USERGROUP <usergroup_name> TO <new_usergroup_name>

<new_usergroup_name> ::= <usergroup_name>

### Explanation

The user group to be modified must exist. The name of the usergroup must identify a usergroup for which the current database user has the owner privilege.

The new user group name (new_usergroup_name)must not be identical to that of an existing database user, user group, or role.

The members of this user group must not be logged onto the database system when the RENAME USERGROUP statement is executed.

The database system automatically adapts the objects that are dependent on the modified user group to the new user group name.